Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets.jsp
Class JspException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.servlet.jsp.JspException
                        |
                        +--com.bea.p13n.servlets.jsp.JspException

public class JspException
extends javax.servlet.jsp.JspException

An exception class that can print the embedded exception as well. This class extends `javax.servlet.jsp.JspException` and provides an extra constructor that takes embedded exception.

See Also:
  Serialized Form

Constructor Summary
`JspException()` The default constructor.
`JspException(java.lang.String message)` Constructs `JspException` by associating with the given message.
`JspException(java.lang.String message, java.lang.Throwable nestedException)` Constructs `JspException` by associating with the given nested exception and a string message.
`JspException(java.lang.Throwable nestedException)` Constructs `JspException` by associating with the given nested exception.

Method Summary
`void` | `printStackTrace()` Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.
`void` | `printStackTrace(java.io.PrintStream out)` Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.
`void` | `printStackTrace(java.io.PrintWriter out)` Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

Methods inherited from class javax.servlet.jsp.JspException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspException

    public JspException()

  The default constructor.

### JspException

    public JspException(java.lang.String message)

  Constructs `JspException` by associating with the given message.

  Parameters:
    `nestedException` - The nested exception.

### JspException

    public JspException(java.lang.Throwable nestedException)

  Constructs `JspException` by associating with the given nested exception.

  Parameters:
    `nestedException` - The nested exception.

### JspException

    public JspException(java.lang.String message,
                        java.lang.Throwable nestedException)

  Constructs `JspException` by associating with the given nested exception and a string message.

  Parameters:
    `message` - The additional information passed as a string.
    `nestedException` - The nested exception.

Method Detail

### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

  Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

  Parameters:
    `out` - PrintStream used to output the stack trace
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter out)

  Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

  Parameters:
    `out` - PrintWriter used to output the stack trace
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace()

  Designed to print the stack trace of this exception, as well as the exception it is chained to, if applicable.

  Overrides:
    printStackTrace in class java.lang.Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved